<!DOCTYPE html>
<html>
<head>
	
	<title>Science and Engineering Ethics (2001) 7.231-238</title>

	

	<h3><p><i>Science and Engineering Ethics (2001) 7.231-238</i></p></h3>
	

	<hr>
	
	
	<h1><strong>Software Engineering Code of Ethics 

	<br>
	and Professional Practices</strong></h1>

	<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professionl 
	<br>
	Practices</h2>

	<hr>

	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software enginnering</p>

	<h3><b>PREAMBLE</b></h3>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that
		<br>
		are included in the full version give examples and details of how these aspiration changes the way we 
		<br>
		act as software engineering professional. Without the aspirations, the details can become legalistic 
		<br>
		and tedious; without the detail, the aspirations can become high-sounding but empty; together, the
		<br>
		 aspirations and the details form a cohesive code </p>
</head>
<body>

</body>
</html>